Index: wiki/pages/nl/Quick-Start-Guide
===================================================================
--- wiki/pages/nl/Quick-Start-Guide	(revision 40228)
+++ wiki/pages/nl/Quick-Start-Guide	(revision 40231)
@@ -0,0 +1,343 @@
+[[TranslatedPages]]
+
+----
+'''Quick Start Guide''' [=#point0] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+New Gui section work in progress expect dead links or missing data.
+----
+
+TitanNit was designed to do two things really well. It can display live tv and it play your videos and recordings, the scope of this quick start guide will explain the setup and operation of those features in a short precise way.
+This section was designed for those who do not care to ever read the manual and just want to jump in and get their hands dirty in all that is TitanNit.
+
+Note: It is asumed the decoder has just been freshly removed from the packing or freshly had TitanNit installed and is booted with the default settings if you wish to install TitanNit please see the section [wiki:Installation-Recovery#point8 Installation and Recovery Contents]
+be aware that as TitanNit has been developed for multiple hardware devices the precedures outlined below may not be the same as your reciever.
+
+You may select a skip to a specific setup topic or scroll down to read the complete guide. 
+----
+{{{#!div style="width: 1100px; margin: auto"
+ {{{#!table style="border: none"
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Setting_Up_the_Language.png,align=left,link=[#point0.1])]] 
+  }}}
+  '''([#point0.1 Setting Up the language])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on setting up the language
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Setting_up_the_Network.png,align=left,link=[#point0.2])]]
+  }}}
+  '''([#point0.2 Setting Up the Network])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on setting up the Network
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Setting_up_the_HDD.png,align=left,link=[#point0.3])]]
+  }}}
+  '''([#point0.3 Setting Up the Hdd])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on setting up the HDD
+  }}}
+  }}}
+  |---
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Setting_up-the_Tuner.png,align=left,link=[#point0.4])]] 
+  }}}
+  '''([#point0.4 Setting Up the Tuner])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on Setting Up the Tuner
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Preforming_a_Scan.png,align=left,link=[#point0.5])]]
+  }}}
+  '''([#point0.5 Proforming a Scan])'''[[br]]
+  {{{#!div style="float: left
+click here to find info Proforming a Scan
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Orginising_Your_Channels.png,align=left,link=[#point0.6])]]
+  }}}
+  '''([#point0.6 Orginising Your Channels])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on Orginising Your Channels
+  }}}
+  }}}
+  |---
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Setting_up_Media.png,align=left,link=[#point0.7])]] 
+  }}}
+  '''([#point0.7 Setting Up a Media])'''[[br]]
+  {{{#!div style="float: left
+click here to find info on Setting Up a Media
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Playing_Back_Media.png,align=left,link=[#point0.8])]]
+  }}}
+  '''([#point0.8 Playing Back Media])'''[[br]]
+  {{{#!div style="float: left
+click here to find info Playing Back Media
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Conclusion.png,align=left,link=[#point0.9])]]
+  }}}
+  '''([#point0.9 Conclusion])'''[[br]]
+  {{{#!div style="float: left
+Conclusion/ what to do next after stting up Titan
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/quick-start-guide/Apendixcies.png,align=left,link=[#point0.10])]] 
+  }}}
+  '''([#point0.10 Apendixcies])'''[[br]]
+  {{{#!div style="float: left
+Apendixcies/ references [[br]]to other setup related topics.
+  }}}
+  }}}
+}}}
+}}}
+[[br]]
+[[br]]
+
+
+
+
+
+
+
+
+----
+''' Welcome to TitanNit! '''
+----
+ 
+Congratulations new users to your choice in your new Atemio Receiver or on the instalation of TitanNit onto your exising receiver. The TitanNit interface is designed with the 'Home Theater' in mind. This means it is best viewed on a large-screen TV while you sit on your couch 10-feet away from the TV, If it helps, you can think of TitanNit as the ultimate media player/Set-top-box, rather than just another set top box operating system.
+ 
+
+----
+'''Setting Up the Language''' [=#point0.1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+By default the language of the TitanNit interface is in German and must be switched on setup to your language.
+To set up the language of the interface go to menu the __"Menu"__ and select > __"Einstellungen"__ > __"Sprache"__ then select the language desired then the reciever will then reboot and restart with the new language settings.
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Language.jpg, 50%)]][[BR]]
+[[br]]
+[[br]]
+
+----
+'''Setting Up the Network''' [=#point0.2] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+To Set Up the Network Interface of the receiver go into the __"Menu"__ and select > __"System"__ > __"Network"__ 
+
+[[Image(source:/wiki/Wiki-Pictures/NL/system-Network.jpg, 50%)]][[BR]]
+
+If you wish to setup a wired network select __"LAN Interface Setup"__ and press the red button.
+you will then be presented with a list of network settings, set up your reciever as required and press __"OK"__ and follow the on screen propmts.
+
+If you wish to setup a wireless network select __"WLAN"__ 
+if your sever is sending out a ssid you may press the __"Red button"__ and preform a scan of available networks, select your network and press ok to save.
+you will then need to set your security type and key using the remote and press the __"green button"__ to start the network connection.
+[[br]]
+[[br]]
+
+----
+'''Setting Up the Hdd''' [=#point0.3] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+If you have just purchased your receiver or converted from the manufactures included software the hdd will need formatting and setting up for use with TitanNit.
+
+To format the Hdd of the receiver to be able to be used with TitanNit go into the __"Menu"__ and select > __"System"__ > __"Storage Device"__ and select __"format Device"__ then select the hdd you wish to format. (Note: doing this will remove all content on the hdd if you have important data on there please back it up before preforming this step.)
+
+you will then need to select the type of file system you wish to use on the hdd if you have no idea what to pick leave it as default, select an item and press the __"OK"__ button.
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Format-Hdd.jpg, 50%)]][[br]]
+
+Now that the Hdd is formatted you may set it up, go into the __"Menu"__ and select > __"System"__ > __"Storage Device"__ and select __"Configure device"__ 
+
+Select the Hdd you formatted before and and then you will be presented with a set of features to enable the hard disk to be used for.
+I suggest you enable all options.
+[[br]]
+[[br]]
+
+----
+'''Setting up the Tuner''' [=#point0.4] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+
+Before you can watch TV you must set the tuner up in the Reciver as your system is physically connected to your Satellite cable or trestrial antenna.
+
+As no two systems are the same we will show you how to set up a simple single universal lnb connected to your reciever with a list of satellites in your sky you wish to receive.
+
+Before we can do this we need to program in a list of satellites and transponders as not all satellite lists are installed in the Reciever by default.
+
+''Setting up the default transponder/satellite lists''
+
+Programming in transponders can be quite daunting for new users so the devs have set up a simple way to program your transponders into yoru receiver, the [wiki:Create-Transponder-List#point3.5.1.7 Create Transponder List] function can download transponders for various services from the TitanNit online repo, this will save you from having to manually create these lists from your pc, receiver or from a satellite xml generator, this greatly simpifly channel and tuner setup.
+(Note that these transponder lists may not allways be 100% correct as services may change)
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Create-Transponder-List.jpg, 50%)]][[br]]
+ 
+Go into the __"Menu"__ and select > __"System"__ > __"Channel setup"__ > __"Create Transponder List"__ and follow the onscreen propmts to download a current list of transponders from your selected tuner type.
+
+
+Alternativly you can use the[wiki:External-Software-SatChannelListEditor#point9.3 SatChannelListEditor] from your pc this is a little bit more flexible that you can just program in the satellites you wish to recieve as opposed to every satelite or transponder programmed into the repo, the hard core or pro users may prefer this option to customise their setup.
+
+Proform these steps in this sequence to import a list of satellites on to your receiver:
+
+ * Download a satellite xml file for the satellites you wish to receive from an [[http://satellites-xml.eu/ | Online xml generator]]
+ * Download and install [wiki:External-Software-SatChannelListEditor#point9.3 SatChannelListEditor] to your pc and set up a connection to your receiver.
+ * Import the xml file.
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/Import-Satellite.png)]]
+
+
+ * Upload the satellite.xml file to your receiver
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/6.png)]]
+
+The reciever will then reboot if it does not then reboot manually to comit the changes.
+
+''Setting up the tuner''
+
+To Set up the Tuner of the receiver go into the __"Menu"__ and select > __"System"__ > __"Channel setup"__ 
+
+ * 1 Select tuner 0/0 and press the sideways key and select __"Tuner looped to 0/1"__
+ * 2 Select tuner 0/1 and press the sideways key and select __"Tuner looped to 0/0"__
+ * 3 Select tuner 0/0 and press the __"Red Button"__ to configuere the tuner
+ * 4 Select the satellite type press sideways and select __"Single Lnb"__.
+ * 5 Scroll down and select __"SAT 1"__ press the sideways key and select the satellite you wish to receive.
+ * 6 Scroll down to Lnb/Unicable and press the __"Red Button"__ to configure the lnb type.
+ * 7 scroll down to LOF/Unicable press the sideways key and select universal.
+ * 8 Press ok button twice to store the lnb type and tuner configuration.
+ * Repeat steps 4-8 on tuner 0/1
+
+your lnb is now set up and if all was done correctly you should now be able to scan for stations on the selected satellite.
+[[br]]
+[[br]]
+
+----
+'''Proforming a Scan''' [=#point0.5] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+
+Before you can watch TV you must preform a scan of the transponders for available channels
+
+To Proforming a Scan of the receiver go into the __"Menu"__ and select > __"System"__ > __"Channel Service"__ >__"Automatic Search"__ and press the __"Red Button"__ as you have already setup your satellites and transponders the default settings will be ok.
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Automatic-Search.jpg, 50%)]]
+
+Once the scan has finished you may press the __"Green"__ button to store all the channel data or alternativly you may select the individual channels and press the __"Red"__ button.
+
+[[br]]
+[[br]]
+
+----
+'''Orginising Your Scanned Channels''' [=#point0.6] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+Now you have your receiver setup you can start to watch tv if you exit from the menu after proforming the scan you should be presented with a high definition display of your local tv stations.
+but as you may notice they are un orginised and it may be hard finding the tv stations you wish to watch for this you can orginise them in to your own persionalised favourite menu's.
+The easyest way to do this is with the [wiki:External-Software-SatChannelListEditor#point9.3 SatChannelListEditor].
+
+ * Download and install [wiki:External-Software-SatChannelListEditor#point9.3 SatChannelListEditor] to your pc and set up a connection to your receiver. 
+ * Read in the channel data as follows :
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/6.png)]]
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/7.png)]]
+
+
+'' Favourites setup ''
+
+All TV and Radio channels are displayed in the tab "TV" and "Radio" in the main window[[br]]
+of SCLE. Normally there are several hundreds or thousands of channels in this list.
+[[BR]] To simplify navigation on your Receiver you may add the channels to more than one Favourites list.[[br]]
+The Favourites also determine the channel number for easier and direct access with your remote control.
+[[BR]] Create new favourites by clicking the right mouse button within the tree of favourites:
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/8.png)]]
+
+After creating the new Favourites entry assign the desired Name:
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/9.png)]]
+
+You may now add channels to your favourites by drag & drop of the channels[[br]]
+onto the Favourites entry or by clicking the right mouse button on the desired channel[[br]]
+and selecting Add to Favourites and selecting the Favourites Entry from the drop-down-menu:
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/10.png)]]
+
+Once a channel has been added to the favourites, a channel number is assigned.[[br]]
+The first channel in the first favourites is channel number 1:
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/11.png)]]
+
+When a channel is assigned to more than one favourites list, it additionally[[br]]
+obtains further channel numbers:
+
+[[Image(source:/wiki/Wiki-Pictures/NL/SCLE/12.png)]]
+[[br]]
+[[br]]
+
+----
+'''Setting Up a Media Source''' [=#point0.7] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+To Set up a media source to be acessable from the reciever of the receiver go into the __"Menu"__ and select > __"System"__ > __"Network"__> __"Network Browser"__
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Network-Browser.jpg, 50%)]][[br]]
+
+now press the __"Red"__ button to add a source and you will be presented with a list of share options.
+set up your share type adress and details for your media server and press __OK"__ to store it in.
+
+your share will now be mounted and it will now show up in the media/net/ directory
+
+[[br]]
+[[br]]
+
+----
+'''Playing Back Media''' [=#point0.8] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+To Play back a media file or recording it is very simple, to open the default media player press the __"PLAY"__ button and you will be presented with the player file select display, Navigate the file list and select the file you wish to play.
+You may play media from your network share by browsing to the media/net if you wish.
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Internal-Player-OSD.jpg, 50%)]][[br]]
+[[br]]
+[[br]]
+
+----
+'''Conclusion''' [=#point0.9] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+Conclusion
+ 
+Thanks for reading this Quick Start Guide. Below in the "Apendixces" section you will find additional suggested reading that may be useful for getting started with the advanced features of TitanNit.
+
+[[br]]
+[[br]]
+
+----
+'''Apendixcies''' [=#point0.10] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+Please see below for more advanced topics and information
+
+ * [wiki:Interface-Operation#point3 Interface and Operation]
+ * [wiki:Remote-Device-Control#point3.9 Remote/ Device Control]
+ * [wiki:Installation-Recovery#point8 Installation / Recovery]
+ * [wiki:External-Software#point9 External Software]
+ * [wiki:Plugins-Contents#point10 Plugins]
+ * [wiki:Troubleshooting#point12 Troubleshooting]
+
+We have tried our best to make this quick start manual as complete and precice as we can if you have any issuies with this manual, wish for something to be added, thank or abuse us please see [wiki:Community#point14 Community] for information on how to contact us.
+
+Oh and by the way as a final remark thanks for choosing TitanNit!.
+[[br]]
+[[br]]
+