Index: wiki/pages/nl/Functions
===================================================================
--- wiki/pages/nl/Functions	(revision 40540)
+++ wiki/pages/nl/Functions	(revision 40542)
@@ -0,0 +1,208 @@
+[[TranslatedPages]]
+
+----
+'''2 Interface Elements''' [=#point2] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+[[br]]
+This section will show the functions and controls of the various elements in the gui within TitanNit and discriptions to the various
+items and their functions aswell as helpfull information and tricks to get the most possible experience with your Receiver.
+
+Note: pictures in this area only apply to the default skin used in Titan.
+If you do not see a specific menu item on the display please select the default skin from the menu as follows all the functions displayed below are implemented in all skins but some elements may be omitted from the display in some skins:
+
+ Press the __"Menu"__ button and select __"Settings"__ scroll down to __"Skin"__ and select the __"Default"__ Skin from the menu.
+ The decoder will then reboot with the new selected __Default__ skin.
+
+----
+{{{#!div style="width: 1100px; margin: auto"
+ {{{#!table style="border: none"
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/Infobar.png,align=left,link=[#point2.1])]] 
+  }}}
+  '''[#point2.1 infobar]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Info__ button while watching TV.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/playback_infobar.png,align=left,link=[wiki:History#point2.2 TitanNit Info])]]
+  }}}
+  '''[#point2.2 Playback infobar]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Info__ button while watching A recording or Media using the default player.
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/AudioTracks_infobar.png,align=left,link=[#point2.3])]]
+  }}}
+  '''[#point2.3 Audiotracks infobar]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Audio__ button while watching TV, A recording or Media using the default player.
+  }}}
+  }}}
+  |---- 
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/Channel History.png,align=left,link=[#point2.4])]]
+  }}}
+  '''[#point2.4 Channel History]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Recall__ button while watching A recording or Media using the default player.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/Sleep_Timer.png,align=left,link=[#point2.5])]]
+  }}}
+  '''[#point2.5 Sleep Timer]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Sleep_ button while the decoder is in operation.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/Subtitle.png,align=left,link=[#point2.6])]]
+  }}}
+  '''[#point2.6  Subtitle]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Subtitle__ button while watching TV, A recording or Media using the default player.
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/EPG.png,align=left,link=[#point2.7])]]
+  }}}
+  '''[#point2.7 EPG]'''[[br]]
+ {{{#!div style="float: left
+Default display when pressing the __EPG__ button while watching TV.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/program_info.png,align=left,link=[#point2.8])]]
+  }}}
+  '''[#point2.8 Program Info]'''[[br]]
+   {{{#!div style="float: left
+Default display when pressing the __Info__ button while viewing the EPG.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/player.png,align=left,link=[#point2.9])]]
+  }}}
+  '''[#point2.9 Player]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __Play_ button.
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/favourite.png,align=left,link=[#point2.10])]]
+  }}}
+  '''[#point2.10 Favourite]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __FAV__ button.
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Functions/record.png,align=left,link=[#point2.11])]]
+  }}}
+  '''[#point2.11 Record]'''[[br]]
+  {{{#!div style="float: left
+Default display when pressing the __REC__ button while watching TV.
+  }}}
+  }}}
+
+
+ }}}
+}}}
+----
+[[BR]]
+
+
+
+
+
+'''Infobar''' [=#point2.1] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Info-OSD.jpg)]] [[br]]
+This overlay display shows when you press the __"INFO"__ button when viewing a tv channel. [[br]]
+It shows actual and next program information
+
+[[br]]
+'''Playback Infobar''' [=#point2.2] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Playback-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"INFO"__ button when playing back a program or time shift is in operation. [[br]]
+It shows a list of the available buttons to use when in playbac/timeshift to do various things.
+
+[[br]]
+'''Audio Track''' [=#point2.3] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Audio-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"AUDIO""__ button when viewing a tv channel. [[br]]
+It allows you to adjust the audio track on the current stream if an alternative audio source exists.
+
+[[br]]
+'''History''' [=#point2.4] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/History-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"RECALL"__ button when viewing a tv channel. [[br]]
+It allows you to recall the past viewed channels for fast zapping between them.
+
+[[br]]
+'''Sleep Timer''' [=#point2.5] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Sleep-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"SLEEP"__ button. [[br]]
+It allows you to set the shutdown timer to automatically shutdown the receiver.
+
+[[br]]
+'''Subtitle''' [=#point2.6] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Subtitle-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"SUBTITLE"__ button. [[br]]
+It allows you to select/enable a subtitle during playback.
+
+[[br]]
+'''EPG''' [=#point2.7] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/EPG-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"EPG"__ button. [[br]]
+It shows a list of the program information from here you can setup a timer or search the EPG.
+
+[[br]]
+'''Program Info''' [=#point2.8] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Program-Info-OSD.jpg)]] [[br]]
+This Overlay shows when you press the __"INFO"__ button when in the EPG display. [[br]]
+This shows the current selected program information.
+
+[[br]]
+'''Player''' [=#point2.9] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Internal-Player-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"PLAY"__ button. [[br]]
+It allows you to select a movie or recording to play it also has a basic file manager.
+
+[[br]]
+'''Favourite''' [=#point2.10] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Favourite-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"FAV"__ button. [[br]]
+It allows you to brouse through your favourits lists.
+
+[[br]]
+'''Record''' [=#point2.11] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+
+[[Image(source:/wiki/Wiki-Pictures/NL/Record-OSD.jpg)]] [[br]]
+This overlay shows when you press the __"RECORD"__ button. [[br]]
+It allows you to set the record function on the current tv channel.
+
+[[br]]