Index: wiki/pages/nl/Installation-Recovery
===================================================================
--- wiki/pages/nl/Installation-Recovery	(revision 40892)
+++ wiki/pages/nl/Installation-Recovery	(revision 40899)
@@ -0,0 +1,179 @@
+[[TranslatedPages]]
+----
+'''8 Installation and Recovery Contents''' [=#point8] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main page])
+----
+This section contains information on installation and removal of TitanNit from your receiver
+{{{#!div style="width: 1100px; margin: auto"
+ {{{#!table style="border: none"
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Atemio.png, 60px,align=left,link=http://www.atemio.de Atemio homepage)]] 
+  }}}
+  '''SH4 Atemio'''[[br]]
+  {{{#!div style="float: left
+ [http://www.atemio.de Atemio homepage]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.000 Contents]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.001 Atemio510]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.002 Atemio520]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.003 Atemio530]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.004 Atemio7600]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.005 Atemio700]
+ * [wiki:Installation-Recovery-SH4-Atemio#point8.006 Atemio7000]
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Fortis.png, 60px,align=left,link=http://www.fortis.co.kr Fortis homepage)]]
+  }}}
+  '''SH4 Fortis'''[[br]]
+   {{{#!div style="float: left
+ [http://www.fortis.co.kr Fortis homepage]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.010 Contents]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.011 Fortis Clone]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.012 Bootloader Installation]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.013 Fortis FS-9000]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.014 Fortis FS-9200]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.015 Fortis HS-9510]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.016 Fortis HX-8200]
+ * [wiki:Installation-Recovery-SH4-Fortis#point8.017 Fortis HS-7810]
+  }}}
+  }}}
+ {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/homecast.png, 60px,align=left,link=http://www.myhomecast.nl Homecast homepage)]]
+  }}}
+  '''SH4 Homecast'''[[br]]
+ {{{#!div style="float: left
+ [http://www.myhomecast.nl Homecast homepage]
+ * [wiki:Installation-Recovery-SH4-Homecast#point8.020 Contents]
+ * [wiki:Installation-Recovery-SH4-Homecast#point8.021 Homecast Pro]
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/IPBox.png, 60px,align=left,link=http://www.abipbox.com/ AB IPBox homepage)]]
+  }}}
+  '''SH4 IPBox'''[[br]]
+  {{{#!div style="float: left
+ [http://www.abipbox.com/ AB IPBox homepage]
+ * [wiki:Installation-Recovery-SH4-IPBox#point8.030 Contents]
+ * [wiki:Installation-Recovery-SH4-IPBox#point8.031 Ipbox91]
+ * [wiki:Installation-Recovery-SH4-IPBox#point8.032 Ipbox900]
+ * [wiki:Installation-Recovery-SH4-IPBox#point8.033 Ipbox910]
+ * [wiki:Installation-Recovery-SH4-IPBox#point8.034 Ipbox9000]
+  }}} 
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/kathrein.png, 60px,align=left,link=http://www.kathrein-gmbh.at kathrein homepage)]]
+  }}}
+  '''SH4 Katherin'''[[br]]
+  {{{#!div style="float: left
+ [http://www.kathrein-gmbh.at kathrein homepage]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.040 Contents]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.041 Ufs910]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.042 Ufs912]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.043 Ufs913]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.044 Ufs922]
+ * [wiki:Installation-Recovery-SH4-Katherin#point8.045 Ufc960]
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Spark.png, 60px,align=left,link=http://www.spark-tv.com Spark homepage)]]
+  }}}
+  '''SH4 Spark'''[[br]]
+  {{{#!div style="float: left
+ [http://www.spark-tv.com Spark homepage]
+ * [wiki:Installation-Recovery-SH4-Spark#point8.050 Contents]
+ * [wiki:Installation-Recovery-SH4-Spark#point8.051 Spark7111]
+ * [wiki:Installation-Recovery-SH4-Spark#point8.052 Spark7162]
+  }}}
+  }}} 
+  |----
+ {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Atemio.png, 60px,align=left,link=http://www.atemio.de Atemio homepage)]]
+  }}}
+  '''Mips Atemio'''[[br]]
+  {{{#!div style="float: left
+ [http://www.atemio.de Atemio homepage]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.060 Contents]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.061 Atemio5000 AKA Nemesis]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.062 Atemio5200]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.063 Atemio6000]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.064 Atemio6100]
+ * [wiki:Installation-Recovery-Mips-Atemio#point8.065 Atemio6200]
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/beyonwiz.png, 60px,align=left,link=http://www.beyonwiz.com.au Beyonwiz homepage)]]
+  }}}
+  '''Mips Beyonwiz'''[[br]]
+ {{{#!div style="float: left
+ [http://www.beyonwiz.com.au Beyonwiz homepage]
+
+ * [wiki:Installation-Recovery-Mips-Beyonwiz#point8.070 Contents]
+ * [wiki:Installation-Recovery-Mips-Beyonwiz#point8.071 BeyonwizT4]
+  }}}
+  }}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Goldern_Interstar.png, 60px,align=left,link=http://www.golden-interstar.pl Golden Interstar homepage)]]
+  }}}
+  '''Mips Golden Interstar'''[[br]]
+  {{{#!div style="float: left
+ [http://www.golden-interstar.pl Golden Interstar homepage]
+ * [wiki:Installation-Recovery-Mips-Golden-Interstar#point8.080 Contents]
+ * [wiki:Installation-Recovery-Mips-Golden-Interstar#point8.081 Xpeedlx1/2]
+ * [wiki:Installation-Recovery-Mips-Golden-Interstar#point8.082 Xpeedlx3]
+  }}}
+  }}}
+  |----
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Miraclebox.png, 60px,align=left,link=http://www.miraclebox.se miraclebox homepage)]]
+  }}}
+  '''Mips Miraclebox[[br]]
+  {{{#!div style="float: left
+ [http://www.miraclebox.se Miraclebox homepage]
+ * [wiki:Installation-Recovery-Mips-Miraclebox#point8.090 Contents]
+ * [wiki:Installation-Recovery-Mips-Miraclebox#point8.091 MBUltra]
+ * [wiki:Installation-Recovery-Mips-Miraclebox#point8.092 MBMini]
+}}}
+}}}
+  {{{#!td align=center valign=top style="border: none; font-size: 115%"
+  {{{#!div style="float: left"
+[[Image(source:/wiki/Wiki-Pictures/Common/Icons/Receiver_logo/Sezam.png, 60px,align=left,link=http://www.sezam-club.ru/ homepage)]]
+  }}}
+  '''Mips Sezam'''[[br]]
+ {{{#!div style="float: left
+ [http://www.sezam-club.ru/ Mips Sezam homepage]
+ * [wiki:Installation-Recovery-Mips-Sezam#point8.100 Contents]
+ * [wiki:Installation-Recovery-Mips-Sezam#point8.101 Sezam-Marvel]
+ * [wiki:Installation-Recovery-Mips-Sezam#point8.102 Sezam-1000HD]
+  }}}
+  }}}
+}}}
+}}}
+
+
+----   
+'''8.113 IRD Download Locations''' [=#point8.113] ([wiki:Wiki#point0 Contents]) ([WikiStart#point0 Main Page])  
+---- 
+* [wiki:Manufactures#point13 13 Manufactures] - [http://atemio.de/index.php/software-updates Stable Images][[br]]  
+* [wiki:Community#point14 14 Community] - [http://www.aaf-digital.info/forum/downloads.php?do=cat&id=2 Stable Images] [http://www.aaf-digital.info/forum/pages.php?pageid=12 Nightly Images][[br]]  
+
+  '''[wiki:Remote-Device-Control#point4.6 4.6 Bootloader sh4 Boxen]'''[[br]]
+* [http://sbnc.dyndns.tv/trac/wiki/en/Remote-Device-Control#point4.6  iboot sh4 loader flashing and recovery ][[br]]  
+  
+[[br]]  
+[#point8 Top of Page]  
+[[br]] 
+
+
+
+
+